## knotifications 5.56.0

=== debian/changelog ===
knotifications (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:36:50 +0000

knotifications (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:32:10 +0000

knotifications (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:35:45 +0000

knotifications (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:23 +0000

knotifications (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install knotifications.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:49 +0000

knotifications (5.51.0-0ubuntu2) UNRELEASED; urgency=medium

  * Install knotifications.categories file.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Oct 2018 17:44:28 +0100

knotifications (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:10:04 +0000
